#map_location_wrapper {
    width: 100%; 
    height: 500px; 
    overflow: hidden; 
    position: relative;
    font-family: sans-serif;
  }

.map-pin {
    position: absolute;
    width: 40px;
    height: 40px;

    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;

    transform: translate(-50%, -100%);
    cursor: pointer;
  }

  #map_panel {
    position: absolute;
    top: 0;
    left: -450px;
    width: 400px;
    height: 100%;
    background: #fff;
    box-shadow: 5px 0 15px rgba(0,0,0,0.2);
    transition: left 0.3s ease;
    z-index: 1000;
  }

  .map_panel_header {
    color: #fff;
    display: flex;
    padding: 20px 10px;
    font-size: 20px;
    align-items: center;
    gap: 10px;
  }

  .map_panel_content_wrapper {
    padding: 20px;
  }

  .map_panel_header h2 {
    margin: 0;
    font-size: 20px;
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
  }

  .map_panel_header button {
    background: none;
    border: 0;
    outline: 0;
    color: #fff;
    padding: 0;
    cursor: pointer;
  }

  #map_panel.active {
    left: 0;
  }

  /* SVG */
  .map-pin svg {
    width: 60%;
    height: 60%;
  }

  /* DAS ist der wichtige Teil */
  .map-pin svg path {
    fill: white;
  }

  #close_panel svg path {
    fill: white;
  }